/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package core;

/**
 *
 * @author pchr
 */
public class spec {
    private double[] periods;
    private double[] accelerations;
    
    public spec(){
        periods = new double[6];
        accelerations = new double[6];
        periods[0]=0.; accelerations[0]=1.570;
        periods[1]=0.15; accelerations[1]=1.121;
        periods[2]=0.6;  accelerations[2]=1.121;
        periods[3]=1.25; accelerations[3]=0.687;
        periods[4]=2.0; accelerations[4]=0.502;
        periods[5]=5.700; accelerations[5]=0.25;
    }
    
    public double[] getPeriods(){
        return this.periods;
    }
    
    public double[] getAccelerations(){
        return this.accelerations;
    }
    
    public void setPeriods(double[] vals){
        periods = new double[vals.length];
        for(int i =0; i<vals.length; i++){
            periods[i]=vals[i];
        }
    }
    
    public void setAccelerations(double[] vals){
        accelerations = new double[vals.length];
        for(int i =0; i<vals.length; i++){
            accelerations[i]=vals[i];
        }
    }
    
    public double getmaxPeriod(){
        double max=0.;
        for(int i=0; i<periods.length; i++){
            if(periods[i]>max){max=periods[i];}
        }
        return max;
    }
    
    public double getmaxAccel(){
        double max=0.;
        for(int i=0; i<accelerations.length; i++){
            if(accelerations[i]>max){max=accelerations[i];}
        }
        return max;
    }
    
    public double getAccel(double aPeriod){
        double acc=0.;
        int s=periods.length;
        for(int i=0; i<s-1; i++){
            if(periods[i]<=aPeriod && periods[i+1]>=aPeriod){
                acc=accelerations[i]+(accelerations[i+1]-accelerations[i])/(periods[i+1]-periods[i])*(aPeriod-periods[i]);
                break;
            }
        }
        if(aPeriod>periods[s-1]){acc=accelerations[s-1];}
        return acc;
    }

}
